actions:
- command: 'deploy_linaro_image'
  parameters:
    bootloadertype: 'uefi'
    customize:
      ${STARTUP_NSH}:
      - 'boot:/EFI/BOOT/startup.nsh'
    image: '${IMAGE_URL}'
    qemu_pflash:
    - '${QEMU_EFI_URL}'
    - '${QEMU_PFLASH_URL}'
  metadata:
    build id: '${BUILD_NUMBER}'
    git URL: '${GIT_URL}'
    git branch: '${GIT_BRANCH}'
    git commit: '${GIT_COMMIT}'
    template: 'qemu-aarch64-uefi'
- command: 'boot_linaro_image'
- command: 'lava_command_run'
  parameters:
    commands:
    - 'dmesg|grep ''rtc-efi rtc-efi: setting system clock to'''
    timeout: 900
- command: 'submit_results'
  parameters:
    server: 'http://${LAVA_SERVER}'
    stream: '${BUNDLE_STREAM_NAME}'
device_type: '${DEVICE_TYPE}'
job_name: '${BUILD_URL}'
timeout: 1800
